From f42fcef6db41ad1afc24244969702d1f6682bc6f Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 1 Jan 2025 07:34:54 +0000
Subject: [PATCH] ruby: upgrade 3.3.6 -> 3.4.1

---
 ...x-cross-compilation-of-external-gems.patch |   6 +-
 ...ine-REG_S1-and-REG_S2-for-musl-riscv.patch |   6 +-
 ...Obey-LDFLAGS-for-the-link-of-libruby.patch |   6 +-
 ...doc-build-reproducible-documentation.patch |   2 +-
 ...-list-of-object-files-in-generated-M.patch |   6 +-
 ...eproducible-change-fixing-784225-too.patch |   6 +-
 .../0006-Make-gemspecs-reproducible.patch     |  30 +--
 .../ruby/{ruby_3.3.6.bb => ruby_3.4.1.bb}     | 193 +++++++++++++++++-
 8 files changed, 222 insertions(+), 33 deletions(-)
 rename meta/recipes-devtools/ruby/{ruby_3.3.6.bb => ruby_3.4.1.bb} (47%)

diff --git a/meta/recipes-devtools/ruby/ruby/0001-extmk-fix-cross-compilation-of-external-gems.patch b/meta/recipes-devtools/ruby/ruby/0001-extmk-fix-cross-compilation-of-external-gems.patch
index bd8f736247..db04ae607d 100644
--- a/meta/recipes-devtools/ruby/ruby/0001-extmk-fix-cross-compilation-of-external-gems.patch
+++ b/meta/recipes-devtools/ruby/ruby/0001-extmk-fix-cross-compilation-of-external-gems.patch
@@ -1,4 +1,4 @@
-From b74950d4f06bbfb91b2e68044147a226c15f4639 Mon Sep 17 00:00:00 2001
+From bc46b4fa510fe8319d0bf84f5d306f05bddf2d45 Mon Sep 17 00:00:00 2001
 From: =?UTF-8?q?Andr=C3=A9=20Draszik?= <andre.draszik@jci.com>
 Date: Mon, 30 Sep 2019 16:57:01 +0100
 Subject: [PATCH] extmk: fix cross-compilation of external gems
@@ -16,10 +16,10 @@ Signed-off-by: André Draszik <andre.draszik@jci.com>
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/ext/extmk.rb b/ext/extmk.rb
-index d9c2417..da14c49 100755
+index 8b6b365..3048f75 100755
 --- a/ext/extmk.rb
 +++ b/ext/extmk.rb
-@@ -428,8 +428,8 @@ else
+@@ -434,8 +434,8 @@ else
  end
  $ruby = [$ruby]
  $ruby << "-I'$(topdir)'"
diff --git a/meta/recipes-devtools/ruby/ruby/0001-vm_dump.c-Define-REG_S1-and-REG_S2-for-musl-riscv.patch b/meta/recipes-devtools/ruby/ruby/0001-vm_dump.c-Define-REG_S1-and-REG_S2-for-musl-riscv.patch
index bc1744da82..3cb3cacaad 100644
--- a/meta/recipes-devtools/ruby/ruby/0001-vm_dump.c-Define-REG_S1-and-REG_S2-for-musl-riscv.patch
+++ b/meta/recipes-devtools/ruby/ruby/0001-vm_dump.c-Define-REG_S1-and-REG_S2-for-musl-riscv.patch
@@ -1,4 +1,4 @@
-From f4edf72c76bc06fa92c61f6cb9163cc777912a1f Mon Sep 17 00:00:00 2001
+From b9908b0368ff47e2423ace33bff602d436734ddb Mon Sep 17 00:00:00 2001
 From: Khem Raj <raj.khem@gmail.com>
 Date: Tue, 25 Jan 2022 20:29:14 -0800
 Subject: [PATCH] vm_dump.c: Define REG_S1 and REG_S2 for musl/riscv
@@ -14,10 +14,10 @@ Signed-off-by: Khem Raj <raj.khem@gmail.com>
  1 file changed, 5 insertions(+)
 
 diff --git a/vm_dump.c b/vm_dump.c
-index 444be4a..8a081a7 100644
+index 5873e52..9eb4db1 100644
 --- a/vm_dump.c
 +++ b/vm_dump.c
-@@ -39,6 +39,11 @@
+@@ -40,6 +40,11 @@
  
  #define MAX_POSBUF 128
  
diff --git a/meta/recipes-devtools/ruby/ruby/0002-Obey-LDFLAGS-for-the-link-of-libruby.patch b/meta/recipes-devtools/ruby/ruby/0002-Obey-LDFLAGS-for-the-link-of-libruby.patch
index 6f95685917..3ef708609c 100644
--- a/meta/recipes-devtools/ruby/ruby/0002-Obey-LDFLAGS-for-the-link-of-libruby.patch
+++ b/meta/recipes-devtools/ruby/ruby/0002-Obey-LDFLAGS-for-the-link-of-libruby.patch
@@ -1,4 +1,4 @@
-From e6267676addd27f3c02667116185211d711ef940 Mon Sep 17 00:00:00 2001
+From d434219570c1abd5e30e04a0b2bb6c262b2f9681 Mon Sep 17 00:00:00 2001
 From: Christopher Larson <chris_larson@mentor.com>
 Date: Thu, 5 May 2016 10:59:07 -0700
 Subject: [PATCH] Obey LDFLAGS for the link of libruby
@@ -10,10 +10,10 @@ Upstream-Status: Pending
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/template/Makefile.in b/template/Makefile.in
-index 8c462f2..2200c8c 100644
+index 05432cd..41a05bb 100644
 --- a/template/Makefile.in
 +++ b/template/Makefile.in
-@@ -115,7 +115,7 @@ ENABLE_SHARED = @ENABLE_SHARED@
+@@ -119,7 +119,7 @@ ENABLE_SHARED = @ENABLE_SHARED@
  LDSHARED = @LIBRUBY_LDSHARED@
  DLDSHARED = @DLDSHARED@
  XDLDFLAGS = @DLDFLAGS@
diff --git a/meta/recipes-devtools/ruby/ruby/0003-rdoc-build-reproducible-documentation.patch b/meta/recipes-devtools/ruby/ruby/0003-rdoc-build-reproducible-documentation.patch
index abbbd35702..f5ab319e1b 100644
--- a/meta/recipes-devtools/ruby/ruby/0003-rdoc-build-reproducible-documentation.patch
+++ b/meta/recipes-devtools/ruby/ruby/0003-rdoc-build-reproducible-documentation.patch
@@ -1,4 +1,4 @@
-From 09a6df0d32e2177406ed391e536c0c7c4b503c5d Mon Sep 17 00:00:00 2001
+From 2d6d42812c2201e874df6d13df3b35665f98e52e Mon Sep 17 00:00:00 2001
 From: Christian Hofstaedtler <zeha@debian.org>
 Date: Tue, 10 Oct 2017 15:04:34 -0300
 Subject: [PATCH] rdoc: build reproducible documentation
diff --git a/meta/recipes-devtools/ruby/ruby/0004-lib-mkmf.rb-sort-list-of-object-files-in-generated-M.patch b/meta/recipes-devtools/ruby/ruby/0004-lib-mkmf.rb-sort-list-of-object-files-in-generated-M.patch
index f08aaf555f..e403254d29 100644
--- a/meta/recipes-devtools/ruby/ruby/0004-lib-mkmf.rb-sort-list-of-object-files-in-generated-M.patch
+++ b/meta/recipes-devtools/ruby/ruby/0004-lib-mkmf.rb-sort-list-of-object-files-in-generated-M.patch
@@ -1,4 +1,4 @@
-From f491fff7d006954c1c51eb7a513a85bdbab0fe5a Mon Sep 17 00:00:00 2001
+From 4bd0ef384f95e9a0582f4408dc4606180a95e5af Mon Sep 17 00:00:00 2001
 From: Reiner Herrmann <reiner@reiner-h.de>
 Date: Tue, 10 Oct 2017 15:06:13 -0300
 Subject: [PATCH] lib/mkmf.rb: sort list of object files in generated Makefile
@@ -17,10 +17,10 @@ Signed-off-by: Reiner Herrmann <reiner@reiner-h.de>
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/lib/mkmf.rb b/lib/mkmf.rb
-index 6da7dde..3af30a9 100644
+index 768a152..f16cdd8 100644
 --- a/lib/mkmf.rb
 +++ b/lib/mkmf.rb
-@@ -2368,7 +2368,7 @@ LOCAL_LIBS = #{$LOCAL_LIBS}
+@@ -2480,7 +2480,7 @@ LOCAL_LIBS = #{$LOCAL_LIBS}
  LIBS = #{$LIBRUBYARG} #{$libs} #{$LIBS}
  ORIG_SRCS = #{orig_srcs.collect(&File.method(:basename)).join(' ')}
  SRCS = $(ORIG_SRCS) #{(srcs - orig_srcs).collect(&File.method(:basename)).join(' ')}
diff --git a/meta/recipes-devtools/ruby/ruby/0005-Mark-Gemspec-reproducible-change-fixing-784225-too.patch b/meta/recipes-devtools/ruby/ruby/0005-Mark-Gemspec-reproducible-change-fixing-784225-too.patch
index 248158b6dc..a06580d683 100644
--- a/meta/recipes-devtools/ruby/ruby/0005-Mark-Gemspec-reproducible-change-fixing-784225-too.patch
+++ b/meta/recipes-devtools/ruby/ruby/0005-Mark-Gemspec-reproducible-change-fixing-784225-too.patch
@@ -1,4 +1,4 @@
-From d2376d94b4d285062b67803dc3278d58c14a5297 Mon Sep 17 00:00:00 2001
+From ade995c6c54a35e4bb45ec0cd4d4c3178fbc8a64 Mon Sep 17 00:00:00 2001
 From: Lucas Kanashiro <kanashiro@debian.org>
 Date: Fri, 1 Nov 2019 15:25:17 -0300
 Subject: [PATCH] Make gemspecs reproducible
@@ -12,10 +12,10 @@ Upstream-Status: Backport [debian]
  1 file changed, 3 insertions(+), 1 deletion(-)
 
 diff --git a/lib/rubygems/specification.rb b/lib/rubygems/specification.rb
-index e438669..3ce9af8 100644
+index 8f353ae..095125f 100644
 --- a/lib/rubygems/specification.rb
 +++ b/lib/rubygems/specification.rb
-@@ -1707,7 +1707,9 @@ class Gem::Specification < Gem::BasicSpecification
+@@ -1711,7 +1711,9 @@ class Gem::Specification < Gem::BasicSpecification
                  raise(Gem::InvalidSpecificationException,
                        "invalid date format in specification: #{date.inspect}")
                end
diff --git a/meta/recipes-devtools/ruby/ruby/0006-Make-gemspecs-reproducible.patch b/meta/recipes-devtools/ruby/ruby/0006-Make-gemspecs-reproducible.patch
index 8a1daba7bd..8f26395e41 100644
--- a/meta/recipes-devtools/ruby/ruby/0006-Make-gemspecs-reproducible.patch
+++ b/meta/recipes-devtools/ruby/ruby/0006-Make-gemspecs-reproducible.patch
@@ -1,4 +1,4 @@
-From 42f8019e62f392f5bc09c25e90cc63123eb764fe Mon Sep 17 00:00:00 2001
+From 2ddfa028baf08c6da8a73a073b498f6c9034a515 Mon Sep 17 00:00:00 2001
 From: Lucas Kanashiro <kanashiro@debian.org>
 Date: Fri, 1 Nov 2019 15:25:17 -0300
 Subject: [PATCH] Make gemspecs reproducible
@@ -8,17 +8,17 @@ build unreproducible
 
 Upstream-Status: Backport [debian]
 ---
- ext/bigdecimal/bigdecimal.gemspec | 1 +
- ext/fiddle/fiddle.gemspec         | 1 +
- ext/io/console/io-console.gemspec | 1 +
- lib/ipaddr.gemspec                | 1 +
- lib/rdoc/rdoc.gemspec             | 1 +
+ .bundle/gems/bigdecimal-3.1.8/bigdecimal.gemspec | 1 +
+ ext/fiddle/fiddle.gemspec                        | 1 +
+ ext/io/console/io-console.gemspec                | 1 +
+ lib/ipaddr.gemspec                               | 1 +
+ lib/rdoc/rdoc.gemspec                            | 1 +
  5 files changed, 5 insertions(+)
 
-diff --git a/ext/bigdecimal/bigdecimal.gemspec b/ext/bigdecimal/bigdecimal.gemspec
-index f9f3b45..b9a469d 100644
---- a/ext/bigdecimal/bigdecimal.gemspec
-+++ b/ext/bigdecimal/bigdecimal.gemspec
+diff --git a/.bundle/gems/bigdecimal-3.1.8/bigdecimal.gemspec b/.bundle/gems/bigdecimal-3.1.8/bigdecimal.gemspec
+index b6ef8fd..596b8bb 100644
+--- a/.bundle/gems/bigdecimal-3.1.8/bigdecimal.gemspec
++++ b/.bundle/gems/bigdecimal-3.1.8/bigdecimal.gemspec
 @@ -14,6 +14,7 @@ Gem::Specification.new do |s|
    s.name          = name
    s.version       = source_version
@@ -28,7 +28,7 @@ index f9f3b45..b9a469d 100644
  
    s.summary       = "Arbitrary-precision decimal floating-point number library."
 diff --git a/ext/fiddle/fiddle.gemspec b/ext/fiddle/fiddle.gemspec
-index 8781093..efdca32 100644
+index 0092f52..f77c224 100644
 --- a/ext/fiddle/fiddle.gemspec
 +++ b/ext/fiddle/fiddle.gemspec
 @@ -8,6 +8,7 @@ end
@@ -40,10 +40,10 @@ index 8781093..efdca32 100644
    spec.email         = ["aaron@tenderlovemaking.com", "hsbt@ruby-lang.org"]
  
 diff --git a/ext/io/console/io-console.gemspec b/ext/io/console/io-console.gemspec
-index d4f5276..8f89611 100644
+index 0a19992..4a80529 100644
 --- a/ext/io/console/io-console.gemspec
 +++ b/ext/io/console/io-console.gemspec
-@@ -4,6 +4,7 @@ _VERSION = "0.7.1"
+@@ -12,6 +12,7 @@ end
  Gem::Specification.new do |s|
    s.name = "io-console"
    s.version = _VERSION
@@ -52,7 +52,7 @@ index d4f5276..8f89611 100644
    s.email = "nobu@ruby-lang.org"
    s.description = "add console capabilities to IO instances."
 diff --git a/lib/ipaddr.gemspec b/lib/ipaddr.gemspec
-index 1f4798e..48743cf 100644
+index 5719f83..fe76260 100644
 --- a/lib/ipaddr.gemspec
 +++ b/lib/ipaddr.gemspec
 @@ -18,6 +18,7 @@ end
@@ -64,7 +64,7 @@ index 1f4798e..48743cf 100644
    spec.email         = ["knu@idaemons.org", "ume@mahoroba.org"]
  
 diff --git a/lib/rdoc/rdoc.gemspec b/lib/rdoc/rdoc.gemspec
-index 93a281c..cc5c155 100644
+index 3144df5..65c313f 100644
 --- a/lib/rdoc/rdoc.gemspec
 +++ b/lib/rdoc/rdoc.gemspec
 @@ -7,6 +7,7 @@ end
diff --git a/meta/recipes-devtools/ruby/ruby_3.3.6.bb b/meta/recipes-devtools/ruby/ruby_3.4.1.bb
similarity index 47%
rename from meta/recipes-devtools/ruby/ruby_3.3.6.bb
rename to meta/recipes-devtools/ruby/ruby_3.4.1.bb
index 6751b36a44..200feca2a1 100644
--- a/meta/recipes-devtools/ruby/ruby_3.3.6.bb
+++ b/meta/recipes-devtools/ruby/ruby_3.4.1.bb
@@ -1,3 +1,192 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LEGAL
+# +++ LEGAL
+# @@ -58,12 +58,12 @@
+#  
+#  [ccan/list/list.h]
+#  
+# -  This file is licensed under the {MIT License}[rdoc-label:label-MIT+License].
+# +  This file is licensed under the {MIT License}[rdoc-ref:@MIT+License].
+#  
+#  [coroutine]
+#  
+#    Unless otherwise specified, these files are licensed under the
+# -  {MIT License}[rdoc-label:label-MIT+License].
+# +  {MIT License}[rdoc-ref:@MIT+License].
+#  
+#  [include/ruby/onigmo.h]
+#  [include/ruby/oniguruma.h]
+# @@ -546,7 +546,7 @@
+#  
+#  [vsnprintf.c]
+#  
+# -  This file is under the {old-style BSD license}[rdoc-label:label-Old-style+BSD+license].
+# +  This file is under the {old-style BSD license}[rdoc-ref:@Old-style+BSD+license].
+#  
+#    >>>
+#      Copyright (c) 1990, 1993::
+# @@ -577,7 +577,7 @@
+#  
+#  [missing/crypt.c]
+#  
+# -  This file is under the {old-style BSD license}[rdoc-label:label-Old-style+BSD+license].
+# +  This file is under the {old-style BSD license}[rdoc-ref:@Old-style+BSD+license].
+#  
+#    >>>
+#      Copyright (c) 1989, 1993::
+# @@ -588,7 +588,7 @@
+#  
+#  [missing/setproctitle.c]
+#  
+# -  This file is under the {old-style BSD license}[rdoc-label:label-Old-style+BSD+license].
+# +  This file is under the {old-style BSD license}[rdoc-ref:@Old-style+BSD+license].
+#  
+#    >>>
+#      Copyright 2003:: Damien Miller
+# @@ -702,49 +702,6 @@
+#      OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+#      SUCH DAMAGE.
+#  
+# -[ext/json/generator/generator.c]
+# -
+# -  The file contains the following copyright notice.
+# -
+# -  >>>
+# -    Copyright 2001-2004:: Unicode, Inc.
+# -
+# -    Disclaimer::
+# -
+# -      This source code is provided as is by Unicode, Inc. No claims are
+# -      made as to fitness for any particular purpose. No warranties of any
+# -      kind are expressed or implied. The recipient agrees to determine
+# -      applicability of information provided. If this file has been
+# -      purchased on magnetic or optical media from Unicode, Inc., the
+# -      sole remedy for any claim will be exchange of defective media
+# -      within 90 days of receipt.
+# -
+# -    Limitations on Rights to Redistribute This Code::
+# -
+# -      Unicode, Inc. hereby grants the right to freely use the information
+# -      supplied in this file in the creation of products supporting the
+# -      Unicode Standard, and to make copies of this file in any form
+# -      for internal or external distribution as long as this notice
+# -      remains attached.
+# -
+# -[ext/nkf/nkf-utf8/config.h]
+# -[ext/nkf/nkf-utf8/nkf.c]
+# -[ext/nkf/nkf-utf8/utf8tbl.c]
+# -
+# -  These files are under the following license.  So to speak, it is
+# -  copyrighted semi-public-domain software.
+# -
+# -  >>>
+# -    Copyright (C) 1987:: Fujitsu LTD. (Itaru ICHIKAWA)
+# -
+# -    Everyone is permitted to do anything on this program
+# -    including copying, modifying, improving,
+# -    as long as you don't try to pretend that you wrote it.
+# -    i.e., the above copyright notice has to appear in all copies.
+# -    Binary distribution requires original version messages.
+# -    You don't have to ask before copying, redistribution or publishing.
+# -    THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE.
+# -
+#  [ext/psych]
+#  [test/psych]
+#  
+# @@ -879,7 +836,7 @@
+#    >>>
+#      RubyGems is copyrighted free software by Chad Fowler, Rich Kilmer, Jim
+#      Weirich and others.  You can redistribute it and/or modify it under
+# -    either the terms of the {MIT license}[rdoc-label:label-MIT+License], or the conditions
+# +    either the terms of the {MIT license}[rdoc-ref:@MIT+License], or the conditions
+#      below:
+#  
+#      1. You may make and give away verbatim copies of the source form of the
+# @@ -941,7 +898,7 @@
+#      Portions copyright (c) 2010:: Andre Arko
+#      Portions copyright (c) 2009:: Engine Yard
+#  
+# -    {MIT License}[rdoc-label:label-MIT+License]
+# +    {MIT License}[rdoc-ref:@MIT+License]
+#  
+#  [lib/bundler/vendor/thor]
+#  
+# @@ -950,16 +907,16 @@
+#    >>>
+#      Copyright (c) 2008 Yehuda Katz, Eric Hodel, et al.
+#  
+# -    {MIT License}[rdoc-label:label-MIT+License]
+# -
+# -[lib/rubygems/resolver/molinillo]
+# +    {MIT License}[rdoc-ref:@MIT+License]
+# +
+# +[lib/rubygems/vendor/molinillo]
+#  
+#    molinillo is under the following license.
+#  
+#    >>>
+#      Copyright (c) 2014 Samuel E. Giddins segiddins@segiddins.me
+#  
+# -    {MIT License}[rdoc-label:label-MIT+License]
+# +    {MIT License}[rdoc-ref:@MIT+License]
+#  
+#  [lib/bundler/vendor/pub_grub]
+#  
+# @@ -968,7 +925,7 @@
+#    >>>
+#      Copyright (c) 2018 John Hawthorn
+#  
+# -    {MIT License}[rdoc-label:label-MIT+License]
+# +    {MIT License}[rdoc-ref:@MIT+License]
+#  
+#  [lib/bundler/vendor/connection_pool]
+#  
+# @@ -977,7 +934,7 @@
+#    >>>
+#      Copyright (c) 2011 Mike Perham
+#  
+# -    {MIT License}[rdoc-label:label-MIT+License]
+# +    {MIT License}[rdoc-ref:@MIT+License]
+#  
+#  [lib/bundler/vendor/net-http-persistent]
+#  
+# @@ -986,7 +943,7 @@
+#    >>>
+#      Copyright (c) Eric Hodel, Aaron Patterson
+#  
+# -    {MIT License}[rdoc-label:label-MIT+License]
+# +    {MIT License}[rdoc-ref:@MIT+License]
+#  
+#  [lib/did_you_mean]
+#  [lib/did_you_mean.rb]
+# @@ -997,7 +954,7 @@
+#    >>>
+#      Copyright (c) 2014-2016 Yuki Nishijima
+#  
+# -    {MIT License}[rdoc-label:label-MIT+License]
+# +    {MIT License}[rdoc-ref:@MIT+License]
+#  
+#  [lib/error_highlight]
+#  [lib/error_highlight.rb]
+# @@ -1008,7 +965,7 @@
+#    >>>
+#      Copyright (c) 2021 Yusuke Endoh
+#  
+# -    {MIT License}[rdoc-label:label-MIT+License]
+# +    {MIT License}[rdoc-ref:@MIT+License]
+#  
+#  [benchmark/so_ackermann.rb]
+#  [benchmark/so_array.rb]
+# 
+#
+
 SUMMARY = "An interpreter of object-oriented scripting language"
 DESCRIPTION = "Ruby is an interpreted scripting language for quick \
 and easy object-oriented programming. It has many features to process \
@@ -10,7 +199,7 @@ LICENSE = "Ruby | BSD-2-Clause | BSD-3-Clause | GPL-2.0-only | ISC | MIT"
 LIC_FILES_CHKSUM = "file://COPYING;md5=5b8c87559868796979806100db3f3805 \
                     file://BSDL;md5=8b50bc6de8f586dc66790ba11d064d75 \
                     file://GPL;md5=b234ee4d69f5fce4486a80fdaf4a4263 \
-                    file://LEGAL;md5=81e6a4d81533b9263da4c3485a0ad883 \
+                    file://LEGAL;md5=eff3bb1382b590cc5814f1f3de6eb4e5 \
                     "
 
 DEPENDS = "zlib openssl libyaml libffi"
@@ -47,7 +236,7 @@ do_configure:prepend() {
 
 DEPENDS:append:libc-musl = " libucontext"
 
-SRC_URI[sha256sum] = "8dc48fffaf270f86f1019053f28e51e4da4cce32a36760a0603a9aee67d7fd8d"
+SRC_URI[sha256sum] = "3d385e5d22d368b064c817a13ed8e3cc3f71a7705d7ed1bae78013c33aa7c87f"
 
 PACKAGECONFIG ??= ""
 PACKAGECONFIG += "${@bb.utils.filter('DISTRO_FEATURES', 'ipv6', d)}"
-- 
2.44.1

